-Top- -Classes- -Public Operations- -Class Diagrams- -Sequence Diagrams-

_ A B C D E F G H I J K L M N O P R S T U V W ~

Class UmlOperation

Declaration :

- C++ : class UmlOperation : public UmlBaseOperation
- Java : class UmlOperation extends UmlBaseOperation

This class manages 'operations', notes that the class 'UmlClassItem' is a mother class of all the class's children. You can modify it as you want (except the constructor)

Artifact : UmlOperation

Operation UmlOperation

Declaration :

- C++ : public: UmlOperation(void * id, const QCString & n) : UmlBaseOperation(id, n)
- Java : public UmlOperation(long id, String n)

All public operations :

addException , addParameter , apply , children , childrenVisible , cppBody , cppDecl , cppDef , cppNameSpec , cppVisibility , create , defined_ , description , exceptions , getOf , identifier_ , idlDecl , idlNameSpec , isAbstract , isClassMember , isCppConst , isCppFriend , isCppInline , isCppVirtual , isIdlOneway , isJavaFinal , isJavaSynchronized , isMarked , isToolRunning , isVolatile , isWritable , javaBody , javaDecl , javaDef , javaNameSpec , kind , kind , markedItems , moveAfter , name , params , parent , properties , propertyValue , referencedBy , removeException , removeParameter , replaceException , replaceParameter , returnType , set_childrenVisible , set_CppBody , set_CppDecl , set_CppDef , set_CppNameSpec , set_CppVisibility , set_Description , set_IdlDecl , set_IdlNameSpec , set_isAbstract , set_isClassMember , set_isCppConst , set_isCppFriend , set_isCppInline , set_isCppVirtual , set_isIdlOneway , set_isJavaFinal , set_isJavaSynchronized , set_isMarked , set_isVolatile , set_JavaBody , set_JavaDecl , set_JavaDef , set_JavaNameSpec , set_Name , set_PropertyValue , set_ReturnType , set_Stereotype , set_Visibility , setOf , stereotype , supportFile , unload , unload , unload , visibility